Bug 68767 - Could not execute the program at all
Could not execute the program at all
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: printtool (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-13 19:11 EDT by Glauber de Oliveira Costa
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-13 19:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glauber de Oliveira Costa 2002-07-13 19:11:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
I could not execute this program at all. But I found a clue. After the bug
happened, I tried to remove the "python" link and link it again with "python1.5"
file. ( Actual version of python that I'm using is 2.2, and this was the version
linked with "python" file), and it ran ok. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.link 'python' file at /usr/bin/ to any python file other than 1.5, such as
python2 
2.run the program
3.
	

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/printtool", line 7, in ?
    import printconf_gui
  File "/usr/share/printconf/util/printconf_gui.py", line 41, in ?
    from printconf_conf import *
  File "/usr/share/printconf/util/printconf_conf.py", line 82, in ?
    from xml.utils import qp_xml
ImportError: No module named utils


Expected Results:  The program should run, or else, return an especific error
message, saying that user's version of python is not ok to run the program

Additional info:

There should be a test to check the python version, and use python1.5
explicitly, if it is found, or beep the user if it's not.
Comment 1 Tim Waugh 2002-07-14 08:16:33 EDT
Red Hat Linux 7.3 did not come with Python 2.2.

However, the current Red Hat Linux Beta (Limbo) does come with a newer Python,
and redhat-config-printer works with that.

Note You need to log in before you can comment on or make changes to this bug.